package com.salpa.subject.domain;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.Map;

/**
 * 数据库表 monitor_data_source
 *
 * @author zhuff
 */
public class MonitorDataSource {

    /** id */
    private Integer id;

    /** 项目id */
    private Integer projectId;

    /** 数据库名称 */
    private String databaseName;

    /** schema名称 */
    private String schemaName;

    /** 数据库类型 */
    private String databaseType;

    /** 数据库路径 */
    private String url;

    /** 登录名 */
    private String username;

    /** 密码 */
    private String password;

    /** 修改时间 */
    private LocalDateTime updateAt;

    /** 创建时间 */
    private LocalDateTime createAt;

    /** 连接参数 */
    private Map[] properties;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public LocalDateTime getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(LocalDateTime updateAt) {
        this.updateAt = updateAt;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }

    public Map[] getProperties() {
        return properties;
    }

    public void setProperties(Map[] properties) {
        this.properties = properties;
    }
}
